/*
 * Vifir - An electronic flight bag wannabe utility for aircraft pilots
 * Copyright (C) 2009 David Ludlow
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * dave@adsllc.com, PO Box 13070, Toledo, OH 43623
 */

#ifndef AIRPORTINFODIALOG_H_
#define AIRPORTINFODIALOG_H_

#include <gtkmm/dialog.h>
#include <gtkmm/button.h>
#include <gtkmm/textview.h>
#include <gtkmm/frame.h>
#include <gtkmm/scrolledwindow.h>
#include <gtkmm/label.h>
#include <gtkmm/alignment.h>
#include <libglademm.h>
#include "Airport.h"
#include "DataStore.h"
#include "Config.h"
#include "Route.h"

class AirportInfoDialog
{
public:
	AirportInfoDialog(std::string *GladeFilename, DataStore *Data, Config *Cfg, Airport *AirportData, Route *RouteData);
	virtual ~AirportInfoDialog();

	int Run();
private:
	Glib::RefPtr<Gnome::Glade::Xml> refXml;
	Gtk::Dialog *GtkDialog;
	Gtk::Label *TitleLabel;
	Gtk::Label *ElevMagVarLabel;
	Gtk::Label *LocFmt1Label;
	Gtk::Label *LocFmt2Label;
	Gtk::Label *LocFmt3Label;
	Gtk::Frame *DayNightFrame;
	Gtk::Label *MornTwiLabel;
	Gtk::Label *SunriseLabel;
	Gtk::Label *SunsetLabel;
	Gtk::Label *EveTwiLabel;
	Gtk::Frame *RunwaysFrame;
	Gtk::Alignment *RunwaysAlignment;
	Gtk::Frame *ApproachPlatesFrame;
	Gtk::ScrolledWindow *ApproachPlatesScrolledWindow;
	Gtk::Frame *METARFrame;
	Gtk::TextView *METARTextView;
	Gtk::Button *AddtoRouteButton;
	Gtk::Button *CloseButton;

	void on_AddtoRouteButton_clicked();
	void on_CloseButton_clicked();
	void on_PlateButton_clicked(ApproachPlate *PlateData);

	Config *Cfg;
	DataStore *Data;
	Airport *AirportData;
	Route *RouteData;
};

#endif /*AIRPORTINFODIALOG_H_*/
