/*
 * Vifir - An electronic flight bag wannabe utility for aircraft pilots
 * Copyright (C) 2009 David Ludlow
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * dave@adsllc.com, PO Box 13070, Toledo, OH 43623
 */

#ifndef ROUTEPOINT_H_
#define ROUTEPOINT_H_

#include "Waypoint.h"

class RoutePoint: public Waypoint
{
public:
	RoutePoint();
	RoutePoint(Waypoint *WP);
	void SetLonLatAlt(double Lon, double Lat,unsigned int Alt);
	void SetAltitude(unsigned int Altitude);
	unsigned int GetAltitude();
	bool MakeBinary(struct RoutePoint_Binary_struct *BinaryData);
	void SetFromBinary(struct RoutePoint_Binary_struct *BinaryData);

private:
	int Altitude;
};

/* Increment the version when the structure changes */
#define ROUTEPOINT_BINARY_STRUCT_VER 1
#ifdef WIN32
#pragma pack(1)
#endif
struct RoutePoint_Binary_struct {
	int32_t Altitude;
	struct Waypoint_Binary_struct Waypoint;
}
#ifndef WIN32
        __attribute__ ((packed))
#endif
;
#ifdef WIN32
#pragma pack()
#endif

#endif /*ROUTEPOINT_H_*/
