/*
 * Vifir - An electronic flight bag wannabe utility for aircraft pilots
 * Copyright (C) 2009 David Ludlow
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * dave@adsllc.com, PO Box 13070, Toledo, OH 43623
 */

#ifndef WBENVELOPE_H_
#define WBENVELOPE_H_

#include <list>

class WBEnvelope
{
public:
	enum Category_enum {
		CATEGORY_NORMAL,CATEGORY_UTILITY,CATEGORY_ACROBATIC,CATEGORY_COMMUTER,CATEGORY_INVALID
	};

	struct WBEnvelopeStation_struct {
		double Mass;	/* kg */
		double Arm;		/* m */
	};

	WBEnvelope();

private:
	std::list<WBEnvelopeStation_struct> Stations;
};

#endif /*WBENVELOPE_H_*/
